/*
 * ButtonEvent.h
 *
 *  Created on: 21 nov. 2023
 *      Author: remi.heredero
 */

#ifndef BUTTONEVENT_H_
#define BUTTONEVENT_H_

#include "xf/customevent.h"

class ButtonEvent : public XFCustomEvent {
public:
	ButtonEvent(int id, interface::XFReactive * pBehavior, uint8_t buttonId);
	virtual ~ButtonEvent() = default;

protected:
	uint8_t buttonId_;

public:

	inline uint8_t getButtonId() {return buttonId_; }
};

#endif /* BUTTONEVENT_H_ */
